Package com.independentsoft.office.drawing

# Class TopBevel

java.lang.Object
com.independentsoft.office.drawing.TopBevel

public class TopBevel extends Object
The Class TopBevel.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TopBevel()`
  Instantiates a new top bevel.
  `TopBevel​(InternalXMLStreamReader reader)`
  Instantiates a new top bevel.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TopBevel`
  `clone()`
  `Unit`
  `getHeight()`
  Gets the height.
  `BevelPresetType`
  `getPresetType()`
  Gets the preset type.
  `Unit`
  `getWidth()`
  Gets the width.
  `void`
  `setHeight​(Unit height)`
  Sets the height.
  `void`
  `setPresetType​(BevelPresetType presetType)`
  Sets the preset type.
  `void`
  `setWidth​(Unit width)`
  Sets the width.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TopBevel

    public TopBevel()
    Instantiates a new top bevel.

  - ### TopBevel

    public TopBevel​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new top bevel.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public TopBevel clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getHeight

    public Unit getHeight()
    Gets the height.
    Returns:
      the height

  - ### setHeight

    public void setHeight​(Unit height)
    Sets the height.
    Parameters:
      `height` - the new height

  - ### getWidth

    public Unit getWidth()
    Gets the width.
    Returns:
      the width

  - ### setWidth

    public void setWidth​(Unit width)
    Sets the width.
    Parameters:
      `width` - the new width

  - ### getPresetType

    public BevelPresetType getPresetType()
    Gets the preset type.
    Returns:
      the preset type

  - ### setPresetType

    public void setPresetType​(BevelPresetType presetType)
    Sets the preset type.
    Parameters:
      `presetType` - the new preset type